Bug 2003425 - python-jep-4.1.1 is available
Summary: python-jep-4.1.1 is available
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-jep
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 2113632 (view as bug list)
Depends On:
Blocks: F37FTBFS F38FTBFS, RAWHIDEFTBFS 2155241 F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-09-12 07:21 UTC by Upstream Release Monitoring
Modified: 2022-12-29 11:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
[patch] Update to 4.0.0 (#2003425) (1.04 KB, patch)
2021-09-12 07:21 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.0.1 (#2003425) (1.04 KB, patch)
2021-12-31 21:51 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.0.2 (#2003425) (1023 bytes, patch)
2022-02-14 15:07 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.0.3 (#2003425) (1023 bytes, patch)
2022-03-21 12:35 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.1.0 (#2003425) (1.04 KB, patch)
2022-10-26 14:30 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.1.1 (#2003425) (1.04 KB, patch)
2022-12-28 19:43 UTC, Upstream Release Monitoring
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2098978 0 unspecified CLOSED F37FailsToInstall: python3-jep 2022-09-21 21:35:38 UTC

Internal Links: 2098978

Description Upstream Release Monitoring 2021-09-12 07:21:14 UTC
Latest upstream release: 4.0.0
Current version/release in rawhide: 3.9.1-3.fc35
URL: https://github.com/ninia/jep

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17376/

Comment 1 Upstream Release Monitoring 2021-09-12 07:21:19 UTC
Created attachment 1822427 [details]
[patch] Update to 4.0.0 (#2003425)

Comment 2 Upstream Release Monitoring 2021-09-12 07:27:58 UTC
the-new-hotness/release-monitoring.org's scratch build of python-jep-4.0.0-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=75535433

Comment 3 Raphael Groner 2021-09-23 21:35:35 UTC
This is a major version increment and it includes removal of deprecated functionality and several changes making it incompatible with previous versions of Jep.

So definitely don't build for Fedora 34 declared as stable and not sure about Fedora 35 as in beta state, both currently.

Comment 4 Upstream Release Monitoring 2021-12-31 21:51:53 UTC
Latest upstream release: 4.0.1
Current version/release in rawhide: 3.9.1-3.fc35
URL: https://github.com/ninia/jep

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/17376/

Comment 5 Upstream Release Monitoring 2021-12-31 21:51:58 UTC
Created attachment 1848484 [details]
Update to 4.0.1 (#2003425)

Comment 6 Upstream Release Monitoring 2021-12-31 21:59:08 UTC
the-new-hotness/release-monitoring.org's scratch build of python-jep-4.0.1-1.fc34.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=80690942

Comment 7 Upstream Release Monitoring 2022-02-14 15:07:36 UTC
Latest upstream release: 4.0.2
Current version/release in rawhide: 3.9.1-5.fc36
URL: https://github.com/ninia/jep

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/17376/

Comment 8 Upstream Release Monitoring 2022-02-14 15:07:40 UTC
Created attachment 1860993 [details]
Update to 4.0.2 (#2003425)

Comment 9 Upstream Release Monitoring 2022-02-14 15:18:21 UTC
the-new-hotness/release-monitoring.org's scratch build of python-jep-4.0.2-1.fc34.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=82812857

Comment 10 Upstream Release Monitoring 2022-03-21 12:35:09 UTC
Latest upstream release: 4.0.3
Current version/release in rawhide: 3.9.1-5.fc36
URL: https://github.com/ninia/jep

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/17376/

Comment 11 Upstream Release Monitoring 2022-03-21 12:35:13 UTC
Created attachment 1867131 [details]
Update to 4.0.3 (#2003425)

Comment 12 Upstream Release Monitoring 2022-03-21 12:40:47 UTC
the-new-hotness/release-monitoring.org's scratch build of python-jep-4.0.3-1.fc34.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=84509910

Comment 13 Raphael Groner 2022-09-12 22:50:47 UTC
Support for Python 3.10, hopefully soon for Python 3.11 (Fedora 37) as well.

Comment 14 Raphael Groner 2022-09-14 22:41:53 UTC
Proposing as freeze exception, see bug #2098978.

Comment 15 Raphael Groner 2022-09-16 18:59:28 UTC
*** Bug 2113632 has been marked as a duplicate of this bug. ***

Comment 16 Geoffrey Marr 2022-09-19 18:23:00 UTC
Discussed during the 2022-09-19 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Final)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-09-19/f37-blocker-review.2022-09-19-16.00.txt

Comment 17 Raphael Groner 2022-09-21 09:57:56 UTC
As said, support properly added for at least python 3.10 so I'm going to update as hotfix in F36 but what about F37+? As said in bug #2098978 upstream seems not to be aware of or ready with its CI for python 3.11 yet.

Comment 18 Upstream Release Monitoring 2022-10-26 14:30:23 UTC
Releases retrieved: 4.1.0
Upstream release that is considered latest: 4.1.0
Current version/release in rawhide: 3.9.1-7.fc38
URL: https://github.com/ninia/jep

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/17376/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-jep

Comment 19 Upstream Release Monitoring 2022-10-26 14:30:27 UTC
Created attachment 1920509 [details]
Update to 4.1.0 (#2003425)

Comment 20 Upstream Release Monitoring 2022-10-26 14:35:13 UTC
the-new-hotness/release-monitoring.org's scratch build of python-jep-4.1.0-1.fc36.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=93463113

Comment 21 Upstream Release Monitoring 2022-12-28 19:43:02 UTC
Releases retrieved: 4.1.1
Upstream release that is considered latest: 4.1.1
Current version/release in rawhide: 3.9.1-7.fc38
URL: https://github.com/ninia/jep

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/17376/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-jep

Comment 22 Upstream Release Monitoring 2022-12-28 19:43:07 UTC
Created attachment 1934759 [details]
Update to 4.1.1 (#2003425)

Comment 23 Upstream Release Monitoring 2022-12-28 19:48:16 UTC
the-new-hotness/release-monitoring.org's scratch build of python-jep-4.1.1-1.fc36.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=95667853


Note You need to log in before you can comment on or make changes to this bug.